variables:
  AWS_BUILD_SUBDIR: provider/legal-aws/build-aws
  AWS_TEST_SUBDIR: testing/legal-test-aws
  AWS_SERVICE: legal
  AWS_ENVIRONMENT: dev

  GCP_BUILD_SUBDIR: provider/legal-gcp
  GCP_INT_TEST_SUBDIR: testing/legal-test-gcp
  GCP_APPLICATION_NAME: os-legal
  GCP_ENVIRONMENT: testing
  GCP_PROJECT: opendes-evt
  GCP_TENANT_NAME: opendes-evt

  OSDU_GCP_SERVICE: legal
  OSDU_GCP_VENDOR: gcp
  OSDU_GCP_APPLICATION_NAME: os-legal
  OSDU_GCP_ENV_VARS: ENABLE_FULL_BUCKET_NAME=$ENABLE_FULL_BUCKET_NAME,PROJECT_ID=$OSDU_GCP_PROJECT,AUTHORIZE_API=$OSDU_GCP_AUTHORIZE_API,AUDIENCES=$GOOGLE_AUDIENCE,REDIS_GROUP_HOST=$REDIS_GROUP_HOST,REDIS_STORAGE_HOST=$REDIS_STORAGE_HOST,LEGAL_HOSTNAME=$OSDU_GCP_LEGAL_HOSTNAME --vpc-connector=$OSDU_GCP_VPC_CONNECTOR
  OSDU_GCP_TEST_SUBDIR: testing/$OSDU_GCP_SERVICE-test-$OSDU_GCP_VENDOR
  
  IBM_BUILD_SUBDIR: provider/legal-ibm
  IBM_INT_TEST_SUBDIR: testing/legal-test-ibm

  AZURE_SERVICE: legal
  AZURE_BUILD_SUBDIR: provider/legal-azure
  AZURE_TEST_SUBDIR: testing/legal-test-azure

include:
  - project: "osdu/platform/ci-cd-pipelines"
    file: "standard-setup.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "build/maven.yml"    

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/fossa.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/gitlab-ultimate.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/aws.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/ibm.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/azure.yml"

  - project: 'osdu/platform/ci-cd-pipelines'
    ref:  "master"
    file: 'cloud-providers/osdu-gcp-cloudrun.yml'

  - project: 'osdu/platform/ci-cd-pipelines'
    ref: "master"
    file: 'cloud-providers/gcp.yml'

compile-and-unit-test:
  variables:
    GOOGLE_CLOUD_PROJECT: opendes-evt
